<form method='post' action='javascript:void(0);' id="loginForm" novalidate>
    <div id="loginModalHeader" class="modal-header"><h3>Connexion</h3></div>

    <div class="modal-body">
        {% form_theme form 'bootstrap_3_layout.html.twig' %}
        {{ form_widget(form) }}

        <button id="ConnexionButton" class="btn btn-primary" onclick="sendData('login=' + $('#form_login').val() + '&password=' + $('#form_password').val() + '&rememberme=' + $('#form_rememberme').is(':checked'), '{{ url('login') }}', 'loginForm', event); document.getElementById('resetToOnline').setAttribute('available', '0');">Se connecter</button>        

        <button id="CancelDataSendingReturnOnline" class="btn btn-default" data-dismiss="modal" style="display:none;" onclick="document.getElementById('resetToOnline').click(); document.getElementById('resetToOnline').setAttribute('available', '0');">Annuler l'envoie des données<br>et revenir en ligne<br>(les données seront perdues)</button>
        <button id="CancelDataSendingStayOffline" class="btn btn-default" data-dismiss="modal" style="display:none;" onclick="document.getElementById('resetToOnline').setAttribute('available', '0');">Fermer</button>
    </div>
</form>

<script type="text/javascript">
    if (document.getElementById("resetToOnline")) {
        if (document.getElementById("resetToOnline").getAttribute("available") === "1") {
            document.getElementById("CancelDataSendingReturnOnline").style.display = "inline-block";
            document.getElementById("CancelDataSendingStayOffline").style.display = "inline-block";

            let offlineReconnectTitle = document.createElement('h3');
            offlineReconnectTitle.innerHTML = 'Votre session est arrivée à expiration. <br><br> Important ! Vous devez vous reconnecter avant de passer en mode en-ligne et pouvoir sauvegarder les données.';
            document.getElementById("loginModalHeader").appendChild(offlineReconnectTitle);
        } else {
            ;
        }
    } else {
        ;
    }
</script>
